For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • POSTInvoke By Id
Logo
LoginBook a Demo
API ReferenceAgents

Invoke By Id

Beta
POST
https://api.athenaintel.com/api/v0/agents/:agent_id/invoke
POST
/api/v0/agents/:agent_id/invoke
$curl -X POST https://api.athenaintel.com/api/v0/agents/agent_id/invoke \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "config": {},
> "messages": [
> {}
> ]
>}'
1{
2 "result": {}
3}
Coming soon! Invoke a custom agent created in [spaces](https://resources.athenaintel.com/docs/agents/create-your-agent). Custom agents can be created and configured in spaces to perform specialized tasks. Refer to the specific agent's documentation for details on configuration options and expected responses.
Was this page helpful?
Previous

Invoke Drive Agent

Next
Built with

Coming soon!

Invoke a custom agent created in spaces.

Custom agents can be created and configured in spaces to perform specialized tasks. Refer to the specific agent’s documentation for details on configuration options and expected responses.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

The ID of the custom agent to invoke. Create custom agents in spaces.

Request

This endpoint expects an object.
configmap from strings to anyRequired
Configuration for the custom agent. See the agent's documentation for specific configuration options.
messageslist of maps from strings to anyRequired
The messages to send to the custom agent

Response

Successful Response
resultmap from strings to any
The agent's response. Format depends on the specific agent implementation.

Errors

422
Unprocessable Entity Error